{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "Fiscal.ai",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "fiscal-ai": {
        "description": "",
        "title": "Fiscal.ai",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "cc435b4c038069b368d2f04fa474db4f4a404dd6c83d32875132ed15f851e166",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/fiscal-ai/company/profile",
      "/apis/v1/fiscal-ai/company/segments-and-kpis",
      "/apis/v1/fiscal-ai/company/shares-outstanding",
      "/apis/v1/fiscal-ai/events/calendar",
      "/apis/v1/fiscal-ai/events/ir-events",
      "/apis/v1/fiscal-ai/events/transcript",
      "/apis/v1/fiscal-ai/filings/list",
      "/apis/v1/fiscal-ai/financials/adjusted-metrics",
      "/apis/v1/fiscal-ai/financials/balance-sheet",
      "/apis/v1/fiscal-ai/financials/balance-sheet-as-reported",
      "/apis/v1/fiscal-ai/financials/cash-flow-statement",
      "/apis/v1/fiscal-ai/financials/cash-flow-statement-as-reported",
      "/apis/v1/fiscal-ai/financials/income-statement",
      "/apis/v1/fiscal-ai/financials/income-statement-as-reported",
      "/apis/v1/fiscal-ai/fund-letters/companies",
      "/apis/v1/fiscal-ai/fund-letters/company",
      "/apis/v1/fiscal-ai/fund-letters/detail",
      "/apis/v1/fiscal-ai/fund-letters/investor",
      "/apis/v1/fiscal-ai/fund-letters/investors",
      "/apis/v1/fiscal-ai/fund-letters/list",
      "/apis/v1/fiscal-ai/ownership/holder-holdings",
      "/apis/v1/fiscal-ai/ownership/insider-holders",
      "/apis/v1/fiscal-ai/ownership/insider-transactions",
      "/apis/v1/fiscal-ai/ownership/institutional-holders",
      "/apis/v1/fiscal-ai/prices/daily",
      "/apis/v1/fiscal-ai/prices/intraday",
      "/apis/v1/fiscal-ai/prices/splits",
      "/apis/v1/fiscal-ai/ratios/daily",
      "/apis/v1/fiscal-ai/ratios/series"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:dfb7fe2aab1a2f7097fd74eff87f9a12ef5c831639ab0bbca976d2e248d1b68f",
      "facts_hash": "cc435b4c038069b368d2f04fa474db4f4a404dd6c83d32875132ed15f851e166",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "fiscal-ai"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/fiscal-ai/company/profile": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.company.profile",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Company profile",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-company-profile",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "2693cd6eb595"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.company.profile",
          "path": "/apis/v1/fiscal-ai/company/profile"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/company/profile \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/company/segments-and-kpis": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.company.segments-and-kpis",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Segments and KPIs",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-company-segments-and-kpis",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "55d03fca98ac"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.company.segments-and-kpis",
          "path": "/apis/v1/fiscal-ai/company/segments-and-kpis"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/company/segments-and-kpis \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/company/shares-outstanding": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.company.shares-outstanding",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Shares outstanding",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-company-shares-outstanding",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "0f7fb063238a"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.company.shares-outstanding",
          "path": "/apis/v1/fiscal-ai/company/shares-outstanding"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/company/shares-outstanding \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/events/calendar": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0015 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.events.calendar",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Earnings calendar",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-events-calendar",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0015,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "344035320728"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.events.calendar",
          "path": "/apis/v1/fiscal-ai/events/calendar"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/events/calendar \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/events/ir-events": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.events.ir-events",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "IR event resources",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-events-ir-events",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "6ddc891c6404"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.events.ir-events",
          "path": "/apis/v1/fiscal-ai/events/ir-events"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/events/ir-events \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/events/transcript": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.events.transcript",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example",
                    "eventKey": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example",
                    "eventKey": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "eventKey": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "required": [
                  "eventKey"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Earnings call transcript",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-events-transcript",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "09e6d8667518"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.events.transcript",
          "path": "/apis/v1/fiscal-ai/events/transcript"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/events/transcript \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\",\n  \"eventKey\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/filings/list": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0015 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.filings.list",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Company filings",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-filings-list",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0015,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "4e83b8e823e0"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.filings.list",
          "path": "/apis/v1/fiscal-ai/filings/list"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/filings/list \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/financials/adjusted-metrics": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.financials.adjusted-metrics",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Adjusted metrics",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-financials-adjusted-metrics",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "fc52885361c2"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.financials.adjusted-metrics",
          "path": "/apis/v1/fiscal-ai/financials/adjusted-metrics"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/financials/adjusted-metrics \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/financials/balance-sheet": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0015 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.financials.balance-sheet",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Balance sheet",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-financials-balance-sheet",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0015,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "e352b8002b29"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.financials.balance-sheet",
          "path": "/apis/v1/fiscal-ai/financials/balance-sheet"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/financials/balance-sheet \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/financials/balance-sheet-as-reported": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.financials.balance-sheet-as-reported",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Balance sheet, as reported",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-financials-balance-sheet-as-reported",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "5056e333e615"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.financials.balance-sheet-as-reported",
          "path": "/apis/v1/fiscal-ai/financials/balance-sheet-as-reported"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/financials/balance-sheet-as-reported \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/financials/cash-flow-statement": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0015 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.financials.cash-flow-statement",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Cash flow statement",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-financials-cash-flow-statement",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0015,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "e52d045eaa1c"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.financials.cash-flow-statement",
          "path": "/apis/v1/fiscal-ai/financials/cash-flow-statement"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/financials/cash-flow-statement \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/financials/cash-flow-statement-as-reported": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.financials.cash-flow-statement-as-reported",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Cash flow statement, as reported",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-financials-cash-flow-statement-as-reported",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "284c0c9c64a3"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.financials.cash-flow-statement-as-reported",
          "path": "/apis/v1/fiscal-ai/financials/cash-flow-statement-as-reported"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/financials/cash-flow-statement-as-reported \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/financials/income-statement": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0015 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.financials.income-statement",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Income statement",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fiscal-ai",
        "x-aisa-category": "finance",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_cik",
                "selector": "/cik"
              },
              {
                "in": "body",
                "name": "option_company_key",
                "selector": "/companyKey"
              },
              {
                "in": "body",
                "name": "option_cusip",
                "selector": "/cusip"
              },
              {
                "in": "body",
                "name": "option_figi",
                "selector": "/figi"
              },
              {
                "in": "body",
                "name": "option_fscl",
                "selector": "/fscl"
              },
              {
                "in": "body",
                "name": "option_isin",
                "selector": "/isin"
              },
              {
                "in": "body",
                "name": "option_ticker",
                "selector": "/ticker"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fiscal-ai/fiscal-ai-financials-income-statement",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0015,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "6cd4b6e8d652"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fiscal-ai.financials.income-statement",
          "path": "/apis/v1/fiscal-ai/financials/income-statement"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fiscal-ai/financials/income-statement \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"cik\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fiscal-ai/financials/income-statement-as-reported": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fiscal-ai.financials.income-statement-as-reported",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "cik": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "cik": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "cik": {}
                        },
                        "required": [
                          "cik"
                        ]
                      },
                      {
                        "properties": {
                          "companyKey": {}
                        },
                        "required": [
                          "companyKey"
                        ]
                      },
                      {
                        "properties": {
                          "cusip": {}
                        },
                        "required": [
                          "cusip"
                        ]
                      },
                      {
                        "properties": {
                          "figi": {}
                        },
                        "required": [
                          "figi"
                        ]
                      },
                      {
                        "properties": {
                          "fscl": {}
                        },
                        "required": [
                          "fscl"
                        ]
                      },
                      {
                        "properties": {
                          "isin": {}
                        },
                        "required": [
                          "isin"
                        ]
                      },
                      {
                        "properties": {
                          "ticker": {}
                        },
                        "required": [
                          "ticker"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "cik": {
                    "type": "string"
                  },
                  "companyKey": {
                    "type": "string"
                  },
                  "cusip": {
                    "type": "string"
                  },
                  "figi": {
                    "type": "string"
                  },
                  "fscl": {
                    "type": "string"
                  },
                  "isin": {
                    "type": "string"
                  },
                  "ticker": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Income statement, as reported",
        "tags": [
          "Fiscal.ai"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
[...]
